Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.tools.javac
Class JavaStubCompilationUnit

    java.lang.Object
      org.codehaus.groovy.control.ProcessingUnit
          org.codehaus.groovy.control.CompilationUnit
              org.codehaus.groovy.tools.javac.JavaStubCompilationUnit

    public class JavaStubCompilationUnit

extends CompilationUnit

Compilation unit to only generate Java stubs for Groovy sources.

Version:
  $Id: JavaStubCompilationUnit.java 8377 2007-10-06 02:36:32Z user57 $
Author:
  Jason Dillon

Nested Class Summary

Nested classes/interfaces inherited from class org.codehaus.groovy.control.CompilationUnit
`CompilationUnit.ClassgenCallback, CompilationUnit.GroovyClassOperation, CompilationUnit.PrimaryClassNodeOperation, CompilationUnit.ProgressCallback, CompilationUnit.SourceUnitOperation`

Field Summary

Fields inherited from class org.codehaus.groovy.control.CompilationUnit
`ast, classgenCallback, classSourcesByPublicClassName, configured, debug, generatedClasses, names, progressCallback, queuedSources, resolveVisitor, sources, staticImportVisitor, summariesByPublicClassName, summariesBySourceName, verifier`

Fields inherited from class org.codehaus.groovy.control.ProcessingUnit
`classLoader, configuration, errorCollector, phase, phaseComplete`

Constructor Summary
`JavaStubCompilationUnit(CompilerConfiguration config, GroovyClassLoader classLoader, File outputDirectory)`

Method Summary
`void` | `addSourceFile(File file)`
`void` | `gotoPhase(int phase)` Wraps up any pending operations for the current phase and switches to the next phase.

Methods inherited from class org.codehaus.groovy.control.CompilationUnit
`addClassNode, addPhaseOperation, addPhaseOperation, addPhaseOperation, addSource, addSource, addSource, addSource, addSources, addSources, applyToGeneratedGroovyClasses, applyToPrimaryClassNodes, applyToSourceUnits, compile, compile, configure, createClassVisitor, dequeued, getAST, getClasses, getClassNode, getClassSourcesByPublicClassName, getFirstClassNode, getSummariesByPublicClassName, getSummariesBySourceName, isPublicClass, iterator, mark, setClassgenCallback, setProgressCallback`

Methods inherited from class org.codehaus.groovy.control.ProcessingUnit
`completePhase, getClassLoader, getConfiguration, getErrorCollector, getPhase, getPhaseDescription, nextPhase, setClassLoader, setConfiguration`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JavaStubCompilationUnit

    public JavaStubCompilationUnit(CompilerConfiguration config,
                                   GroovyClassLoader classLoader,
                                   File outputDirectory)

Method Detail

### gotoPhase

    public void gotoPhase(int phase)
                   throws CompilationFailedException

  Description copied from class: `ProcessingUnit`
  Wraps up any pending operations for the current phase and switches to the next phase.

  Overrides:
    `gotoPhase` in class `ProcessingUnit`
  Throws:
    `CompilationFailedException`

### addSourceFile

    public void addSourceFile(File file)

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 2003-2008 The Codehaus. All rights reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD